%global debug_package %{nil}

Name:           fig
Version:        1.0.0
Release:        5%{?dist}
Summary:        Punctual, lightweight development environments using Docker

License:        ASL 2.0
URL:            http://www.fig.sh
Source0:        https://pypi.python.org/packages/source/f/%{name}/%{name}-%{version}.tar.gz

# to get tests:
# git clone https://github.com/docker/fig && cd fig
# git checkout 1.0.0 && tar -czvf fig-1.0.0-tests.tar.gz tests/
#Source1:        fig-0.5.2-tests.tar.gz

Patch0: remove-requires-upper-bound.patch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools 
BuildRequires:  python-docker-py
BuildRequires:  docker-io
BuildRequires:  python-websocket-client
BuildRequires:  python-texttable
BuildRequires:  python-requests
BuildRequires:  PyYAML
BuildRequires:  python-docopt

Requires:       python-setuptools
Requires:       python-docker-py
Requires:       python-texttable
Requires:       python-docopt
Requires:       python-requests
Requires:       python-websocket-client
Requires:       python-six
Requires:       PyYAML

# require the docker binary due to docker vs docker-io package name difference
# between Fedora and RHEL7/CentOS7
Requires:       %{_bindir}/docker

# Build only for architectures that docker functions on since this is a hard
# requirement for fig and at this time, only x86_64 is supported by docker
# upstream (docker.io)
ExclusiveArch:  x86_64

%description
Punctual, lightweight development environments using Docker

Fig allows you to:
  - Define your app's environment with Docker so it can be reproduced anywhere.
  - Define the services that make up your app so they can be run together in an
    isolated environment.
  - Run 'fig up', and Fig will start and run your entire app.

%prep
%setup -q 

%patch0 -p1

rm -r %{name}.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Currently not running tests here as they require Docker to be running.
# The test suite passes on my machine, however.
#%check
#%{__python2} setup.py test

%files
%doc CHANGES.md CONTRIBUTING.md README.md LICENSE 
%{_bindir}/%{name}
%{python2_sitelib}/%{name}*

%changelog
* Wed Dec 03 2014 Matej Stuchlik <mstuchli@redhat.com> - 1.0.0-5
- Remove upper bound from setup.py requires

* Wed Nov 12 2014 Matej Stuchlik <mstuchli@redhat.com> - 1.0.0-4
- Add python-setuptools to requires

* Thu Oct 23 2014 Matej Stuchlik <mstuchli@redhat.com> - 1.0.0-3
- Relax strict version requirements on websocket-client (#1155510)

* Tue Oct 21 2014 Matej Stuchlik <mstuchli@redhat.com> - 1.0.0-2
- Update Requires

* Tue Oct 21 2014 Matej Stuchlik <mstuchli@redhat.com> - 1.0.0-1
- Update to 1.0.0
- Droped the two patches

* Tue Oct 21 2014 Matej Stuchlik <mstuchli@redhat.com> - 0.5.2-2
- Explicitly disable debuginfo subpackage (#1154780)
- Add python-docker-py to Requires (#1154874)

* Thu Oct 09 2014 Matej Stuchlik <mstuchli@redhat.com> - 0.5.2-1
- Initial spec based on rhbz#1129889
